import{s as ft,n as mt,o as bt}from"../chunks/scheduler.0219f8bd.js";import{S as vt,i as ht,g as d,s,r as u,A as kt,h as l,f as n,c as i,j as p,u as x,x as c,k as r,y as $t,a as o,v as f,d as m,t as b,w as v}from"../chunks/index.f61edf3b.js";import{C as Tt}from"../chunks/CodeBlock.38e566ae.js";import{H as G,E as _t}from"../chunks/EditOnGithub.48fa589f.js";function Nt(Fe){let a,ee,Q,te,h,ne,k,oe,$,Ge=`Handler file for choosing the correct version of ONNX Runtime, based on the environment.
Ideally, we could import the <code>onnxruntime-web</code> and <code>onnxruntime-node</code> packages only when needed,
but dynamic imports don’t seem to work with the current webpack version and/or configuration.
This is possibly due to the experimental nature of top-level await statements.
So, we just import both packages, and use the appropriate one based on the environment:`,se,T,Qe="<li>When running in node, we use <code>onnxruntime-node</code>.</li> <li>When running in the browser, we use <code>onnxruntime-web</code> (<code>onnxruntime-node</code> is not bundled).</li>",ie,_,Ve="This module is not directly exported, but can be accessed through the environment variables:",de,N,le,P,et='<li><a href="#module_backends/onnx">backends/onnx</a><ul><li><em>static</em><ul><li><a href="#module_backends/onnx.deviceToExecutionProviders"><code>.deviceToExecutionProviders([device])</code></a> ⇒ <code>*</code></li> <li><a href="#module_backends/onnx.createInferenceSession"><code>.createInferenceSession(buffer, session_options)</code></a> ⇒ <code>*</code></li> <li><a href="#module_backends/onnx.isONNXTensor"><code>.isONNXTensor(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_backends/onnx.isONNXProxy"><code>.isONNXProxy()</code></a> ⇒ <code>boolean</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_backends/onnx..defaultExecutionProviders"><code>~defaultExecutionProviders</code></a> : <code>*</code></li> <li><a href="#module_backends/onnx..supportedExecutionProviders"><code>~supportedExecutionProviders</code></a> : <code>*</code></li></ul></li></ul></li>',ce,re,ae,w,ue,C,pe,y,tt="Map a device to the execution providers to use for the given device.",xe,H,nt='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>*</code> - The execution providers to use for the given device.',fe,E,ot="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>[device]</td><td><code>*</code></td><td><code></code></td><td><p>(Optional) The device to run the inference on.</p></td></tr></tbody>",me,be,ve,L,he,M,ke,g,st="Create an ONNX inference session.",$e,O,it='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>*</code> - The ONNX inference session.',Te,X,dt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>buffer</td><td><code>Uint8Array</code></td><td><p>The ONNX model buffer.</p></td> </tr><tr><td>session_options</td><td><code>Object</code></td><td><p>ONNX inference session options.</p></td></tr></tbody>",_e,Ne,Pe,j,we,A,Ce,R,lt="Check if an object is an ONNX tensor.",ye,S,ct='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - Whether the object is an ONNX tensor.',He,J,rt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>any</code></td><td><p>The object to check</p></td></tr></tbody>",Ee,Le,Me,I,ge,W,Oe,B,at="Check if ONNX’s WASM backend is being proxied.",Xe,Z,ut='<strong>Kind</strong>: static method of <a href="#module_backends/onnx"><code>backends/onnx</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - Whether ONNX’s WASM backend is being proxied.',je,Ae,Re,K,Se,D,Je,U,pt='<strong>Kind</strong>: inner property of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',Ie,We,Be,z,Ze,q,Ke,Y,xt='<strong>Kind</strong>: inner constant of <a href="#module_backends/onnx"><code>backends/onnx</code></a>',De,Ue,ze,F,qe,V,Ye;return k=new G({props:{title:"backends/onnx",local:"backendsonnx",headingTag:"h1"}}),N=new Tt({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDB4ZW5vdmElMkZ0cmFuc2Zvcm1lcnMnJTNCJTBBY29uc29sZS5sb2coZW52LmJhY2tlbmRzLm9ubngpJTNC",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@xenova/transformers&#x27;</span>;
<span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(env.<span class="hljs-property">backends</span>.<span class="hljs-property">onnx</span>);`,wrap:!1}}),C=new G({props:{title:"backends/onnx.deviceToExecutionProviders([device]) ⇒ <code> * </code>",local:"backendsonnxdevicetoexecutionprovidersdevice--code--code",headingTag:"h2"}}),M=new G({props:{title:"backends/onnx.createInferenceSession(buffer, session_options) ⇒ <code> * </code>",local:"backendsonnxcreateinferencesessionbuffer-sessionoptions--code--code",headingTag:"h2"}}),A=new G({props:{title:"backends/onnx.isONNXTensor(x) ⇒ <code> boolean </code>",local:"backendsonnxisonnxtensorx--code-boolean-code",headingTag:"h2"}}),W=new G({props:{title:"backends/onnx.isONNXProxy() ⇒ <code> boolean </code>",local:"backendsonnxisonnxproxy--code-boolean-code",headingTag:"h2"}}),D=new G({props:{title:"backends/onnx~defaultExecutionProviders : <code> * </code>",local:"backendsonnxdefaultexecutionproviders--code--code",headingTag:"h2"}}),q=new G({props:{title:"backends/onnx~supportedExecutionProviders : <code> * </code>",local:"backendsonnxsupportedexecutionproviders--code--code",headingTag:"h2"}}),F=new _t({props:{source:"https://github.com/xenova/transformers.js/blob/main/docs/source/api/backends/onnx.md"}}),{c(){a=d("meta"),ee=s(),Q=d("p"),te=s(),h=d("a"),ne=s(),u(k.$$.fragment),oe=s(),$=d("p"),$.innerHTML=Ge,se=s(),T=d("ul"),T.innerHTML=Qe,ie=s(),_=d("p"),_.textContent=Ve,de=s(),u(N.$$.fragment),le=s(),P=d("ul"),P.innerHTML=et,ce=s(),re=d("hr"),ae=s(),w=d("a"),ue=s(),u(C.$$.fragment),pe=s(),y=d("p"),y.textContent=tt,xe=s(),H=d("p"),H.innerHTML=nt,fe=s(),E=d("table"),E.innerHTML=ot,me=s(),be=d("hr"),ve=s(),L=d("a"),he=s(),u(M.$$.fragment),ke=s(),g=d("p"),g.textContent=st,$e=s(),O=d("p"),O.innerHTML=it,Te=s(),X=d("table"),X.innerHTML=dt,_e=s(),Ne=d("hr"),Pe=s(),j=d("a"),we=s(),u(A.$$.fragment),Ce=s(),R=d("p"),R.textContent=lt,ye=s(),S=d("p"),S.innerHTML=ct,He=s(),J=d("table"),J.innerHTML=rt,Ee=s(),Le=d("hr"),Me=s(),I=d("a"),ge=s(),u(W.$$.fragment),Oe=s(),B=d("p"),B.textContent=at,Xe=s(),Z=d("p"),Z.innerHTML=ut,je=s(),Ae=d("hr"),Re=s(),K=d("a"),Se=s(),u(D.$$.fragment),Je=s(),U=d("p"),U.innerHTML=pt,Ie=s(),We=d("hr"),Be=s(),z=d("a"),Ze=s(),u(q.$$.fragment),Ke=s(),Y=d("p"),Y.innerHTML=xt,De=s(),Ue=d("hr"),ze=s(),u(F.$$.fragment),qe=s(),V=d("p"),this.h()},l(e){const t=kt("svelte-u9bgzb",document.head);a=l(t,"META",{name:!0,content:!0}),t.forEach(n),ee=i(e),Q=l(e,"P",{}),p(Q).forEach(n),te=i(e),h=l(e,"A",{id:!0,class:!0}),p(h).forEach(n),ne=i(e),x(k.$$.fragment,e),oe=i(e),$=l(e,"P",{"data-svelte-h":!0}),c($)!=="svelte-1nskovu"&&($.innerHTML=Ge),se=i(e),T=l(e,"UL",{"data-svelte-h":!0}),c(T)!=="svelte-1nim9s8"&&(T.innerHTML=Qe),ie=i(e),_=l(e,"P",{"data-svelte-h":!0}),c(_)!=="svelte-m4kxqp"&&(_.textContent=Ve),de=i(e),x(N.$$.fragment,e),le=i(e),P=l(e,"UL",{"data-svelte-h":!0}),c(P)!=="svelte-r7jnqw"&&(P.innerHTML=et),ce=i(e),re=l(e,"HR",{}),ae=i(e),w=l(e,"A",{id:!0,class:!0}),p(w).forEach(n),ue=i(e),x(C.$$.fragment,e),pe=i(e),y=l(e,"P",{"data-svelte-h":!0}),c(y)!=="svelte-g2kkoo"&&(y.textContent=tt),xe=i(e),H=l(e,"P",{"data-svelte-h":!0}),c(H)!=="svelte-hryt3x"&&(H.innerHTML=nt),fe=i(e),E=l(e,"TABLE",{"data-svelte-h":!0}),c(E)!=="svelte-15mkoxu"&&(E.innerHTML=ot),me=i(e),be=l(e,"HR",{}),ve=i(e),L=l(e,"A",{id:!0,class:!0}),p(L).forEach(n),he=i(e),x(M.$$.fragment,e),ke=i(e),g=l(e,"P",{"data-svelte-h":!0}),c(g)!=="svelte-19a590t"&&(g.textContent=st),$e=i(e),O=l(e,"P",{"data-svelte-h":!0}),c(O)!=="svelte-17jc8ku"&&(O.innerHTML=it),Te=i(e),X=l(e,"TABLE",{"data-svelte-h":!0}),c(X)!=="svelte-1xknvln"&&(X.innerHTML=dt),_e=i(e),Ne=l(e,"HR",{}),Pe=i(e),j=l(e,"A",{id:!0,class:!0}),p(j).forEach(n),we=i(e),x(A.$$.fragment,e),Ce=i(e),R=l(e,"P",{"data-svelte-h":!0}),c(R)!=="svelte-11755yo"&&(R.textContent=lt),ye=i(e),S=l(e,"P",{"data-svelte-h":!0}),c(S)!=="svelte-1vudgod"&&(S.innerHTML=ct),He=i(e),J=l(e,"TABLE",{"data-svelte-h":!0}),c(J)!=="svelte-o3zzgy"&&(J.innerHTML=rt),Ee=i(e),Le=l(e,"HR",{}),Me=i(e),I=l(e,"A",{id:!0,class:!0}),p(I).forEach(n),ge=i(e),x(W.$$.fragment,e),Oe=i(e),B=l(e,"P",{"data-svelte-h":!0}),c(B)!=="svelte-bsb3mu"&&(B.textContent=at),Xe=i(e),Z=l(e,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-ha6bkx"&&(Z.innerHTML=ut),je=i(e),Ae=l(e,"HR",{}),Re=i(e),K=l(e,"A",{id:!0,class:!0}),p(K).forEach(n),Se=i(e),x(D.$$.fragment,e),Je=i(e),U=l(e,"P",{"data-svelte-h":!0}),c(U)!=="svelte-jxwmib"&&(U.innerHTML=pt),Ie=i(e),We=l(e,"HR",{}),Be=i(e),z=l(e,"A",{id:!0,class:!0}),p(z).forEach(n),Ze=i(e),x(q.$$.fragment,e),Ke=i(e),Y=l(e,"P",{"data-svelte-h":!0}),c(Y)!=="svelte-1djwi16"&&(Y.innerHTML=xt),De=i(e),Ue=l(e,"HR",{}),ze=i(e),x(F.$$.fragment,e),qe=i(e),V=l(e,"P",{}),p(V).forEach(n),this.h()},h(){r(a,"name","hf:doc:metadata"),r(a,"content",Pt),r(h,"id","module_backends/onnx"),r(h,"class","group"),r(w,"id","module_backends/onnx.deviceToExecutionProviders"),r(w,"class","group"),r(L,"id","module_backends/onnx.createInferenceSession"),r(L,"class","group"),r(j,"id","module_backends/onnx.isONNXTensor"),r(j,"class","group"),r(I,"id","module_backends/onnx.isONNXProxy"),r(I,"class","group"),r(K,"id","module_backends/onnx..defaultExecutionProviders"),r(K,"class","group"),r(z,"id","module_backends/onnx..supportedExecutionProviders"),r(z,"class","group")},m(e,t){$t(document.head,a),o(e,ee,t),o(e,Q,t),o(e,te,t),o(e,h,t),o(e,ne,t),f(k,e,t),o(e,oe,t),o(e,$,t),o(e,se,t),o(e,T,t),o(e,ie,t),o(e,_,t),o(e,de,t),f(N,e,t),o(e,le,t),o(e,P,t),o(e,ce,t),o(e,re,t),o(e,ae,t),o(e,w,t),o(e,ue,t),f(C,e,t),o(e,pe,t),o(e,y,t),o(e,xe,t),o(e,H,t),o(e,fe,t),o(e,E,t),o(e,me,t),o(e,be,t),o(e,ve,t),o(e,L,t),o(e,he,t),f(M,e,t),o(e,ke,t),o(e,g,t),o(e,$e,t),o(e,O,t),o(e,Te,t),o(e,X,t),o(e,_e,t),o(e,Ne,t),o(e,Pe,t),o(e,j,t),o(e,we,t),f(A,e,t),o(e,Ce,t),o(e,R,t),o(e,ye,t),o(e,S,t),o(e,He,t),o(e,J,t),o(e,Ee,t),o(e,Le,t),o(e,Me,t),o(e,I,t),o(e,ge,t),f(W,e,t),o(e,Oe,t),o(e,B,t),o(e,Xe,t),o(e,Z,t),o(e,je,t),o(e,Ae,t),o(e,Re,t),o(e,K,t),o(e,Se,t),f(D,e,t),o(e,Je,t),o(e,U,t),o(e,Ie,t),o(e,We,t),o(e,Be,t),o(e,z,t),o(e,Ze,t),f(q,e,t),o(e,Ke,t),o(e,Y,t),o(e,De,t),o(e,Ue,t),o(e,ze,t),f(F,e,t),o(e,qe,t),o(e,V,t),Ye=!0},p:mt,i(e){Ye||(m(k.$$.fragment,e),m(N.$$.fragment,e),m(C.$$.fragment,e),m(M.$$.fragment,e),m(A.$$.fragment,e),m(W.$$.fragment,e),m(D.$$.fragment,e),m(q.$$.fragment,e),m(F.$$.fragment,e),Ye=!0)},o(e){b(k.$$.fragment,e),b(N.$$.fragment,e),b(C.$$.fragment,e),b(M.$$.fragment,e),b(A.$$.fragment,e),b(W.$$.fragment,e),b(D.$$.fragment,e),b(q.$$.fragment,e),b(F.$$.fragment,e),Ye=!1},d(e){e&&(n(ee),n(Q),n(te),n(h),n(ne),n(oe),n($),n(se),n(T),n(ie),n(_),n(de),n(le),n(P),n(ce),n(re),n(ae),n(w),n(ue),n(pe),n(y),n(xe),n(H),n(fe),n(E),n(me),n(be),n(ve),n(L),n(he),n(ke),n(g),n($e),n(O),n(Te),n(X),n(_e),n(Ne),n(Pe),n(j),n(we),n(Ce),n(R),n(ye),n(S),n(He),n(J),n(Ee),n(Le),n(Me),n(I),n(ge),n(Oe),n(B),n(Xe),n(Z),n(je),n(Ae),n(Re),n(K),n(Se),n(Je),n(U),n(Ie),n(We),n(Be),n(z),n(Ze),n(Ke),n(Y),n(De),n(Ue),n(ze),n(qe),n(V)),n(a),v(k,e),v(N,e),v(C,e),v(M,e),v(A,e),v(W,e),v(D,e),v(q,e),v(F,e)}}}const Pt='{"title":"backends/onnx","local":"backendsonnx","sections":[{"title":"backends/onnx.deviceToExecutionProviders([device]) ⇒ <code> * </code>","local":"backendsonnxdevicetoexecutionprovidersdevice--code--code","sections":[],"depth":2},{"title":"backends/onnx.createInferenceSession(buffer, session_options) ⇒ <code> * </code>","local":"backendsonnxcreateinferencesessionbuffer-sessionoptions--code--code","sections":[],"depth":2},{"title":"backends/onnx.isONNXTensor(x) ⇒ <code> boolean </code>","local":"backendsonnxisonnxtensorx--code-boolean-code","sections":[],"depth":2},{"title":"backends/onnx.isONNXProxy() ⇒ <code> boolean </code>","local":"backendsonnxisonnxproxy--code-boolean-code","sections":[],"depth":2},{"title":"backends/onnx~defaultExecutionProviders : <code> * </code>","local":"backendsonnxdefaultexecutionproviders--code--code","sections":[],"depth":2},{"title":"backends/onnx~supportedExecutionProviders : <code> * </code>","local":"backendsonnxsupportedexecutionproviders--code--code","sections":[],"depth":2}],"depth":1}';function wt(Fe){return bt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Lt extends vt{constructor(a){super(),ht(this,a,wt,Nt,ft,{})}}export{Lt as component};
